| WCTL(3) | WCTL(3)

NAME

| drawresizewindow, drawsetlabel, drawtopwindow – window management

SYNOPSIS

`#include <draw.h>

` `void drawresizewindow(Rectangle r)

` `int drawsetlabel(Display *d, char *name)

` `void drawtopwindow(void)
`

DESCRIPTION

These routines interact with a window manager to set the properties of the window running the current program. They substitute for interacting directly with the Plan 9 rio’s `/dev/wctl`.

Drawresizewindow requests that the program’s window be resized to have the width and height of the rectangle r. Only the width and height are important; the offset is ignored.

Drawsetlabel requests that the program’s window title be set to name.

Drawtopwindow requests that the program’s window be moved above all other windows and given the input focus.

SOURCE

| `/usr/local/plan9/src/libdraw/x11−init.c /usr/local/plan9/src/libdraw/x11−wsys.c`